Summary:        RDF Application Framework
Name:           redland
Version:        1.0.17
Release:        5%{?dist}

License:        LGPLv2+ or ASL 2.0
URL:            http://librdf.org/
Source0:        http://download.librdf.org/source/%{name}-%{version}.tar.gz

Patch3000:      0001-rhbz-1936659-stub-deprecated.patch

BuildRequires: perl-interpreter raptor2-devel rasqal-devel >= 0.9.26
BuildRequires: libtool libtool-ltdl-devel libxml2-devel >= 2.4.0
BuildRequires: make curl-devel gcc-c++ gtk-doc sqlite-devel


%description
Redland is a library that provides a high-level interface for RDF
(Resource Description Framework) implemented in an object-based API.
It is modular and supports different RDF/XML parsers, storage
mechanisms and other elements. Redland is designed for applications
developers to provide RDF support in their applications as well as
for RDF developers to experiment with the technology.

%package         devel
Summary:         Libraries and header files for programs that use Redland
Requires:        %{name} = %{version}-%{release}

%description     devel
Header files for development with Redland.

%prep
%autosetup -p1


%build
NOCONFIGURE=1 ./autogen.sh
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure

export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
  --enable-release \
  --disable-static \
  --with-sqlite \
  --without-bdb \
  --without-threestone \
  --without-virtuoso \
  --disable-digests \
  --without-mysql \
  --without-postgresql

%make_build


%install
%make_install

find %{buildroot} -name \*.la -exec rm -v {} \;


%check
make check



%files
%license COPYING COPYING.LIB LICENSE.txt LICENSE-2.0.txt
%doc AUTHORS NEWS README NOTICE TODO
%doc FAQS.html LICENSE.html NEWS.html README.html TODO.html
%{_libdir}/librdf.so.0*
%{_bindir}/rdfproc
%{_bindir}/redland-db-upgrade
%dir %{_datadir}/redland
%{_mandir}/man1/redland-db-upgrade.1*
%{_mandir}/man1/rdfproc.1*
%{_mandir}/man3/redland.3*
%dir %{_libdir}/redland
%{_libdir}/redland/librdf_storage_sqlite.so

%files devel
%doc ChangeLog RELEASE.html
%{_bindir}/redland-config
%{_datadir}/redland/Redland.i
%{_datadir}/gtk-doc/
%{_includedir}/redland.h
%{_includedir}/librdf.h
%{_includedir}/rdf_*.h
%{_libdir}/librdf.so
%{_libdir}/pkgconfig/redland.pc
%{_mandir}/man1/redland-config.1*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.17-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 04 2023 Wang Guodong <gordonwwang@tencent.com> - 1.0.17-4
- Use rdfproc -s file instead of rdfproc to avoid using the libdb backend

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.17-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.17-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 cunshunxia <cunshunxia@tencent.com> - 1.0.17-1
- initial build
